# List WhatsApp Business Accounts details (deprecated)

Returns a list of all the WhatsApp Business Accounts that the facebook token is associated with, together with the numbers that are shared.

Endpoint: POST /v1/projects/{projectId}/whatsapp/wabaDetails
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Request fields (application/json):

  - `facebookToken` (string, required)
    Long-Lived User access token.

  - `businessManager` (string)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK"

## Response 200 fields (application/json):

  - `wabas` (array, required)

  - `wabas.id` (string, required)
    The id of the WhatsApp Business Account.

  - `wabas.numbers` (array, required)
    The numbers that are shared to the WhatsApp Business Account.

  - `wabas.numbers.id` (string, required)
    Unique id of the number.

  - `wabas.numbers.displayPhoneNumber` (string, required)
    The number displayed in E.164 format.

  - `wabas.numbers.provisioned` (boolean, required)
    True if the number is available for usage, false otherwise.

## Response 400 fields (application/json):

  - `body` (InvalidInputErrorTitle (object) or InvalidFacebookTokenErrorTitle (object) or InvalidBusinessManagerErrorTitle (object) or InvalidBusinessManagerForEnvironmentErrorTitle (object) or InvalidPayloadErrorTitle (object)) — one of:
    - InvalidInputErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_input"
      - `message` (string)
        Human readable message.
        Example: "Invalid input."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Correct the validation errors and submit again."
      - `additionalInformation` (object)
        Additional information for error.
        Example: {"validationErrors":["facebookToken must be a string"]}
    - InvalidFacebookTokenErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_facebook_token"
      - `message` (string)
        Human readable message.
        Example: "Facebook token is invalid or has expired"
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Check that token is correct, or create a new one and try again."
    - InvalidBusinessManagerErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_business_manager"
      - `message` (string)
        Human readable message.
        Example: "Invalid business manager."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Check that business manager is correct for project."
    - InvalidBusinessManagerForEnvironmentErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_business_manager_for_environment"
      - `message` (string)
        Human readable message.
        Example: "Invalid business manager for environment."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that business manager is valid for environment. Allowed business managers for environment SINCH_AMERICA, SINCH_UK."
    - InvalidPayloadErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_payload"
      - `message` (string)
        Human readable message.
        Example: "Invalid payload."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Correct payload and submit again."

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 500 fields (application/json):

  - `body` (FacebookRequestLimitReachedErrorTitle (object) or LogInFacebookRequiredErrorTitle (object) or InternalErrorErrorTitle (object)) — one of:
    - FacebookRequestLimitReachedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "facebook_Request_limit_reached"
      - `message` (string)
        Human readable message.
        Example: "Facebook request limit reached."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please try again later."
    - LogInFacebookRequiredErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "log_in_facebook_required"
      - `message` (string)
        Human readable message.
        Example: "Log in to facebook required."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Log in to www.facebook.com and follow the instructions given."
    - InternalErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "internal_error"
      - `message` (string)
        Human readable message.
        Example: "Internal server error."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please wait and try again, if the error persist please contact support."


